Loading...
Searching...
No Matches
filterresample.h File Reference
`#include <cstddef>`
`#include "../../exportinmportconfig.h"`
`#include "filterinterface.h"`
`#include "../../mzrange.h"`
`#include "../combiners/integrationscopebase.h"`

Go to the source code of this file.

## Classes

class | pappso::FilterResampleKeepSmaller
class | pappso::FilterResampleKeepGreater
class | pappso::FilterResampleRemoveXRange
class | pappso::FilterResampleKeepXRange
class | pappso::FilterResampleKeepPointInPolygon
class | pappso::MassSpectrumFilterResampleRemoveMzRange
class | pappso::MassSpectrumFilterResampleKeepMzRange

## Namespaces

namespace | pappso
| tries to keep as much as possible monoisotopes, removing any possible C13 peaks and changes multicharge peaks to monocharge

## Typedefs

using | pappso::IntegrationScopeSpecVector = std::vector< IntegrationScopeSpec >